import { PlaygroundProps } from '../components/PlaygroundPage/PlaygroundPage.component';
import { ComponentData, FieldValue } from '../types/Playground.types';
/**
 *
 * @param data a mapping of input keys and values
 * @param inputConfig a configuration object specifying the properties of the inputs
 * @returns a new ComponentData object that removes undefined values or values that are equal to the default for the field
 */
export declare const getPropsMapping: (data: ComponentData, inputConfig: PlaygroundProps['inputConfig']) => ComponentData;
/**
 *
 * @param value the value of a particular component prop
 * @returns a string representation of the correct JSX binding expression based on the value type
 */
export declare const getPropValueBinding: (value: FieldValue) => string;
/**
 *
 * @param value the value of a particular component prop
 * @returns a string representation of the correct JSX binding expression based on the value type
 */
export declare const getPropValueObject: (value: FieldValue) => string;
/**
 *
 * @param data a mapping of input keys and values
 * @param config optional configuration options (custom separator character and/or omit certain values)
 * @returns a string representation of the data parameter properly mapped to JSX bindings
 */
export declare const getPropsToString: (data: ComponentData, config?: {
    join?: string;
    skip?: string[];
    format?: 'object' | 'jsx';
}) => string;
